using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WSDDBBrowser.Core;

namespace WSDDBBrowser
{
    /// <summary>
    /// PgItemChartView.xaml 的交互逻辑
    /// </summary>
    public partial class PgItemChartView : UserControl, IDisposable
    {
        public PgItemChartView()
        {
            InitializeComponent();
        }
        ScanDataItem scanDataItem;
        public void Init(ScanDataItem scanDataItem)
        {
            columnRangeScanGraph.Init(scanDataItem);
            trendGraph.Init(scanDataItem);
            hisogramGraph.Init(scanDataItem);
        }

        public void Dispose()
        {
            columnRangeScanGraph.Dispose();
            trendGraph.Dispose();
            hisogramGraph.Dispose();
        }
    }
}
